pango-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. an object containing an array of tab stops. Each tab stop has an alignment and a position. GLib.Opaque GLib.IWrapper
- Method
  Pango.TabArray Copies the existing to a new one. an object of type
- Method
  System.Void `` Sets the size of the tab array to the value specified by . the new size of the array You must subsequently initialize any tabs that were added to the array.
- Method
  System.Void Frees all the resources for this object.
- Method
  System.Void `` `` `` Sets the specified and of the tab stop specified by . the index of a tab stop the tab alignment the tab location in pango units The value of must always be in the current implementation.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of TabArray, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  an object containing an array of tab stops
  Initial number of tab stops to allocate, can be 0
  if the tab positions are in pixel units
  an object of type
  Creates a new with the number of tab stops specified by . If is , the tab stop positions are specified in pixel units otherwise in pango units. All tab stops are initially at position 0.
- Property
  System.Boolean returns if the tab positions are specified in pixels and if they are in pango units. an object of type
- Property
  System.Int32 returns the number of tab stops in the tab array. the number of tab stops in the array.
- Method
  System.Void `` `` `` Gets the alignment and position of the tab stop specified by . the tab stop index a a , the position in Pango units.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` `` Gets the an array of alignments and positions. an array of indicating the alignment of each tab stop. an array of indicating the location of each tab stop in pango units.